stages:
  - codequality

cache:
  key:
    files:
      - package-lock.json
  paths:
    - .npm/

lint:
  image: node:14-alpine
  stage: codequality
  only:
    - merge_requests
  allow_failure: true

  script:
    - npm ci --cache .npm --prefer-offline
    - npm run lint
  artifacts:
    reports:
      codequality: gl-codequality.json

unit:
  image: node:14-alpine
  stage: codequality
  only:
    - merge_requests
  allow_failure: true

  script:
    - npm ci --cache .npm --prefer-offline
    - npm run test
  artifacts:
    when: always
    reports:
      junit:
        - junit.xml
